Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2022-04-22 22:55:19

0001 #!/bin/bash
0002 function die { echo $1: status $2; exit $2; }
0003 
0004 if [ "${SCRAM_TEST_NAME}" != "" ] ; then
0005   mkdir ${SCRAM_TEST_NAME}
0006   cd ${SCRAM_TEST_NAME}
0007 fi
0008 
0009 echo -e "Testing SiStripHitEfficencyWorker \n\n"
0010 cmsRun ${LOCAL_TEST_DIR}/testHitEffWorker.py isUnitTest=True || die 'failed running testHitEffWorker.py' $?
0011 
0012 echo -e "Testing SiStripHitEfficencyHarvester \n\n"
0013 cmsRun ${LOCAL_TEST_DIR}/testHitEffHarvester.py isUnitTest=True || die 'failed running testHitEffHarvester.py' $?
0014 
0015 echo -e " testing tSiStripHitEffFromCalibTree \n\n"
0016 cmsRun ${LOCAL_TEST_DIR}/testSiStripHitEffFromCalibTree_cfg.py inputFiles=HitEffTree.root runNumber=325172 || die 'failed running testSiStripHitEffFromCalibTree_cfg.py' $?
0017 
0018 echo -e "Done with the tests!"